Bug 1870244 (CVE-2020-16289) - CVE-2020-16289 ghostscript: buffer overflow in cif_print_page() in devices/gdevcif.c could result in a DoS
Summary: CVE-2020-16289 ghostscript: buffer overflow in cif_print_page() in devices/gd...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-16289
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1870245 1872484 1872486
Blocks: 1870273
TreeView+ depends on / blocked
 
Reported: 2020-08-19 15:21 UTC by Michael Kaplan
Modified: 2021-05-18 20:35 UTC (History)
7 users (show)

Fixed In Version: ghostscript 9.51
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-18 20:35:38 UTC
Embargoed:


Attachments (Terms of Use)

Description Michael Kaplan 2020-08-19 15:21:55 UTC
A buffer overflow vulnerability in cif_print_page() in devices/gdevcif.c of Artifex Software GhostScript v9.50 allows a remote attacker to cause a denial of service via a crafted PDF file. This is fixed in v9.51.

References:

https://bugs.ghostscript.com/show_bug.cgi?id=701788
https://git.ghostscript.com/?p=ghostpdl.git;a=commit;h=d31e25ed5b130499e0d880e4609b1b4824699768

Comment 1 Michael Kaplan 2020-08-19 15:22:26 UTC
Created ghostscript tracking bugs for this issue:

Affects: fedora-all [bug 1870245]

Comment 3 Todd Cullum 2020-08-25 21:30:16 UTC
Flaw Summary:

In cif_print_page() routine of /devices/gdevcif.c, the malloc() call does not leave space for a NULL string terminator, resulting in an out-of-bounds write of length 1 during the sunsequent operation `*(s + length) = '\0';` The patch[1] adds 1 to length to account for the null terminator, thus mitigating this flaw.


1. https://git.ghostscript.com/?p=ghostpdl.git;a=commitdiff;h=d31e25ed5b130499e0d880e4609b1b4824699768;hp=6e6c69487094b877bc56fcc07b9840f6e5b95925

Comment 4 Todd Cullum 2020-08-25 21:32:09 UTC
Moving to Low as this is just a 1 byte out-of-bounds write whose data is not controlled by a potential attacker.

Comment 5 Todd Cullum 2020-08-25 21:32:11 UTC
Mitigation:

Mitigation for this issue is either not available or the currently available options do not meet the Red Hat Product Security criteria comprising ease of use and deployment, applicability to widespread installation base or stability.

Comment 8 errata-xmlrpc 2021-05-18 15:37:13 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:1852 https://access.redhat.com/errata/RHSA-2021:1852

Comment 9 Product Security DevOps Team 2021-05-18 20:35:38 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-16289


Note You need to log in before you can comment on or make changes to this bug.